//
// BusConfig.m
// Project
//
// Created by haibara on 4/22/16.
//
//

#import "BusConfig.h"
#import "CocoaUtils.h"

NSString *const UserDefaultsKeyBusSearchDataSourceDigest = @"busSearchDataSourceDigest";
NSString *const UserDefaultsKeyHotelSearchDataSourceDigest = @"hotelSearchDataSourceDigest";

NSString *const BusStatusDidEditingNotification = @"BusStatusDidEditingNotification";
NSString *const SelfCheckInDidEditingNotification = @"SelfCheckInDidEditingNotification";

@implementation BusConfig

#pragma mark - <AppearanceConfig>

+ (UIColor *)defaultTintColor {
	return [CocoaUtils colorWithRGBs:StandardColorOrange];
}

#pragma mark - <MainSiteConfig>

+ (NSString *)support_email {
	return nil;
}

+ (NSString *)phone {
	return nil;
}

+ (BOOL)is_cn_website {
	return NO;
}

+ (NSStringEncoding)charset {
	return NSISOLatin1StringEncoding;
}

+ (NSString *)tollFreePhone {
	return nil;
}

+ (NSString *)liveZillaUrl {
	return nil;
}

+ (BOOL)is_bus_site {
	return YES;
}

#pragma mark - <WebServiceConfig>

+ (NSString *)liveServer {
	return @"https://www.gotobus.com";
}

+ (NSString *)testingServer {
	return @"http://testwww.gotobus.com";
}

+ (NSString *)javaSearchLiveEndpoint {
	return @"https://search.gotobus.com/search";
}

#pragma mark - <PayPalConfig>

+ (NSString *)paypalSandboxClientId {
	return @"ATaOSFN_s9Ro0w8xEw4VSlwLNYQAPFOHQWDzhsk9mx-pjE4B8x9HqhRoIpfcU0mnTnQ7BEk1ppOWJu5P";
}

+ (NSString *)paypalSandboxSecret {
	return @"EAUqSfId6NpNfGOQN3Gme81jsmppFR6dbKwJ5uwbbdQJ-MCLIrvyOrqlmd0PhDibQUluR8cAi-1AX3HX";
}

+ (NSString *)paypalLiveClientId {
	return @"AQNYNlPfwUyFyhTyIghq8sg4WL_iESq-26fAzs3rRWmmlOgvV6YNhjosxz8Yv9KjGkWvsYC3GePPOW0t";
}

+ (NSString *)paypalLiveSecret {
	return @"EDSFqD6g1zWvVaBht9uNsPK4y0FNIL2-NewShZJ5KntKkkgiskuVnYGTiRA1ZBI_4EtbQq16ZjSWFSvN";
}

@end
